/*! \file
\brief Program error codes
*/
/* Error codes, stored in (uint8_t) errno
	The value is cleared at the start of each second

	Created JR 100819
	MRU JR 101015

	101015 Added ERRCROSSEC
*/
#include <inttypes.h>

#ifndef _ERRORNO_H
#define _ERRORNO_H
#define ERRNOERR 		((uint8_t) 0x00)	/*!< No error */
#define ERRTMCMP 		((uint8_t) 0x01)	/*!< tmpcmp() nonzero return */
#define ERRGPSPAR 	((uint8_t) 0x02)	/*!< GPS sentence parity error */
#define ERRNOPPS 		((uint8_t) 0x03)	/*!< PPS missing */
#define ERRLW 			((uint8_t) 0x04)	/*!< LW signal error */
#define ERRTMCMPLW	((uint8_t) 0x05)	/*!< LW signal tmcmp() error */
#define ERRCROSSEC 	((uint8_t) 0x06)	/*!< Received GPS sentence crossed second */
/* #define ERR 			((uint8_t) 0x0n)	*/	/* template */

#endif
